complexType "StandardProduct"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-standard-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, notional, quote+
</...>

Content Model Elements (7):

  embeddedOptionType, notional (in standardProduct), primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), | productType (defined in Product.model group), quote (in standardProduct), secondaryAssetClass (defined in Product.model group)

All Direct / Indirect Based Elements (1):

  standardProduct

Known Usage Locations

- As direct type of elements (1):
  standardProduct

Annotation
Simple product representation providing key information about a variety of different products. Standard products - for use in Transparency reporting to define a product that represents a standardized OTC derivative transaction whose economics do not need to be fully described using an FpML schema because they are implied by the product ID. In other views, standard products are present for convenience to support internal messaging and workflows that are cross-product. Standard products are not full trade representations as such they are not intended to be used for confirming trades.
Type Definition Detail

Type Derivation Tree Product (extension) StandardProduct

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="StandardProduct"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!-- <xsd:element name="effectiveDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en">The starting date of the transaction.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:element name="notional" type="CashflowNotional"/> <xsd:element maxOccurs="unbounded" name="quote" type="BasicQuotation"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/7)
notional

  Type: | CashflowNotional, complex content

  The notional amount that was traded.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="notional" type="CashflowNotional"/>

quote

  Type: | BasicQuotation, complex content

  Pricing information for the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="quote" type="BasicQuotation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.